Calculates the public key from a secret key

- « sodium_crypto_scalarmult_base

- sodium_crypto_scalarmult_ristretto255 »

- PHP Manual
- Sodium Functions
- Calculates the public key from a secret key

# sodium_crypto_scalarmult_ristretto255_base

(PHP 8 >= 8.1.1)

sodium_crypto_scalarmult_ristretto255_base — Calculates the public key from a secret key

### Description

sodium_crypto_scalarmult_ristretto255_base(string `$n`): string

Given a secret key, calculates the corresponding public key. Available as of libsodium 1.0.18.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`n`

  A secret key.

### Return Values

Returns a 32-byte random string.

### See Also

- sodium_crypto_scalarmult_ristretto255() - Computes a shared secret